/*
 * Copyright 2002-2009 Team Jaru.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package kr.kangwoo.damo;

/**
 * DAMO 관련 작업 처리시 에러가 발생할 경우 사용하는 클래스이다.
 * 
 * @author badnom
 * @author agoodguy
 *
 */
public class DamoException extends RuntimeException {

	/**
	 * 
	 */
	private static final long serialVersionUID = 7755686682686720843L;

	public DamoException() {
		super();
	}

	public DamoException(String message) {
		super(message);
	}

	public DamoException(String message, Throwable cause) {
		super(message, cause);
	}

	public DamoException(Throwable cause) {
		super(cause);
	}

}
