package kr.kangwoo.damo.support.logging.simple;

import java.lang.reflect.InvocationHandler;
import java.lang.reflect.Proxy;
import java.sql.Connection;

import kr.kangwoo.damo.engine.transaction.IConnectionLogManager;

public class ConnectionLogManager implements IConnectionLogManager {

	public Connection wrapConnection(Connection connection) {
		InvocationHandler handler = new ConnectionLogProxy(connection);
		return (Connection)Proxy.newProxyInstance(Connection.class.getClassLoader(), new Class[]{Connection.class}, handler);
	}
}
