/*
 * Copyright 2002-2009 Team Jaru.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package kr.kangwoo.damo.engine.provider;


/**
 * 쿼리 제공자(QueryProvider)이다. 
 * 쿼리 생성기(Query Generator)와 쿼리 적재기(Query Loader)를 상속받고 있다.
 * 
 * @author badnom
 *
 */
public interface QueryProvider extends QueryGenerator, QueryLoader {
	
}
