/*
 * Copyright 2002-2009 Team Jaru.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package kr.kangwoo.damo.engine.query.parameter;

/**
 * 파라메터 값을 드러나게 하는 역할을 한다.
 * 현재는 ForEach문 내에서, 로컬 변수처럼 사용하기 위해 존재한다.
 * 
 * @author badnom
 *
 */
public interface ParameterExposer {

	Object expose(Object value);
}
